import { Observable } from 'rxjs';
import { PlayerOptions } from '../player-options';
import { EventsRegistry } from './events-registry/events-registry';
import { PlaybackQuality } from './models/playback-quality';
import { PlayerState } from './models/player-state';
import { PlayerMethods } from './models/player-methods';
import { StateChange } from './models/state-change';
export declare class YtPlayerService implements PlayerMethods {
    private eventsRegistry;
    get stateChange$(): Observable<StateChange>;
    get destroyed(): boolean;
    get videoId(): string;
    private get player();
    private set player(value);
    private ytPlayer;
    private playerOptions;
    constructor(eventsRegistry: EventsRegistry);
    init(htmlId: string, playerOptions?: PlayerOptions): void;
    load(videoId: string): void;
    play(): void;
    pause(): void;
    stop(): void;
    seek(seconds: number): void;
    setVolume(value: number): void;
    getVolume(): number;
    mute(): void;
    unMute(): void;
    isMuted(): boolean;
    setSize(width: number, height: number): void;
    setPlaybackRate(rate: number): void;
    setPlaybackQuality(sugestedQuality: PlaybackQuality): void;
    getPlaybackRate(): number;
    getAvailablePlaybackRates(): number[];
    getDuration(): number;
    getBufferingProgress(): number;
    getState(): PlayerState;
    getCurrentTime(): number;
    destroy(): void;
    private setUpPlayer;
}
