import { OnInit, OnChanges, OnDestroy, EventEmitter } from '@angular/core';
import { YtPlayerService } from './yt-player-adapter/yt-player.service';
import { IdGeneratorService } from './utils/id-generator.service';
import { QueueService } from './utils/queue.service';
import { PlayerOptions } from './player-options';
import { StateChange } from './yt-player-adapter/models/state-change';
export declare class YtPlayerComponent implements OnChanges, OnInit, OnDestroy {
    private ytPlayerService;
    private idGeneratorService;
    private queueService;
    videoId: string;
    options: PlayerOptions;
    stateChange: EventEmitter<StateChange>;
    private ytHtmlElementHook;
    private stateChangeSubscription;
    private readonly errorMessage;
    constructor(ytPlayerService: YtPlayerService, idGeneratorService: IdGeneratorService, queueService: QueueService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    private setUpElementRefId;
    private videoIdIsDefined;
    private elementRefIdIsDefined;
    private initializePlayer;
    private loadVideo;
    private reloadVideo;
    private enqueuePlayerInitialization;
    private dequeuePlayerInitialization;
    private subscribeToStateChanges;
}
